%%
%% This is file `sccg.cls'. The version 0.1.0 was hacked and modified 
%% using `siggraph.cls' (version 1.2.1).
%% 
%% IMPORTANT NOTICE:
%% 
%% Any modified versions of this file must be renamed
%% with new filenames distinct from sccg.cls.
%% 
%% Copyright (C) 1999 Pavel Chalmoviansky
%%                    Katedra geometrie
%%                    Faculty of Mathematics and Physics
%%                    Comenius University, Bratislava
%%                    chalmo@fmph.uniba.sk
%%
%% This file is distributed in the hope that it will be useful,
%% but WITHOUT ANY WARRANTY; without even the implied warranty of
%% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
\NeedsTeXFormat{LaTeX2e}[1994/06/01]
\ProvidesClass{gsjgg}
[2013/09/11 v0.1.0 
  G - Slovak Journal for Geometry and Graphics document class]
\newif\ifgsjgg@preprint
\newif\ifgsjgg@review
\DeclareOption{review}{%
    \gsjgg@preprintfalse%
    \gsjgg@reviewtrue}%
\DeclareOption{preprint}{%
    \gsjgg@preprinttrue%
    \gsjgg@reviewfalse}%
\ExecuteOptions{preprint}
\DeclareOption{titlepage}{%
    \OptionNotUsed%
    \ClassWarningNoLine{gsjgg}{titlepage option not allowed}}
\DeclareOption{landscape}{%
    \OptionNotUsed%
    \ClassWarningNoLine{gsjgg}{landscape option not allowed}}
\providecommand*{\thmlemmaname}{Lemma}
\providecommand*{\thmtheoremname}{Theorem}
\providecommand*{\thmcorollaryname}{Corollary}
\providecommand*{\thmdefinitionname}{Definition}
\providecommand*{\thmexercisename}{Exercise}
\providecommand*{\thmnotename}{Note}
\providecommand*{\thmremarkname}{Remark}
\providecommand*{\examplename}{Example}
\providecommand*{\solutionname}{Solution}
\AtBeginDocument{
  \@ifpackagewith{babel}{slovak}{%
    \addto\captionsslovak{\renewcommand*\thmlemmaname{Lema}}%
    \addto\captionsslovak{\renewcommand*\thmtheoremname{V\v eta}}%
    \addto\captionsslovak{\renewcommand*\thmcorollaryname{Dsledok}}%
    \addto\captionsslovak{\renewcommand*\thmdefinitionname{Definice}}%
    \addto\captionsslovak{\renewcommand*\thmexercisename{Cvienie}}%
    \addto\captionsslovak{\renewcommand*\thmnotename{Poznmka}}%
    \addto\captionsslovak{\renewcommand*\thmremarkname{Poznmka}}%
    \addto\captionsslovak{\renewcommand*\examplename{Prklad}}%
    \addto\captionsslovak{\renewcommand*\solutionname{Rie\v{s}enie}}%
    \addto\captionsslovak{\renewcommand*\figurename{Obr.}}%
  }{}
  \@ifpackagewith{babel}{english}{%
    \addto\captionsenglish{\renewcommand*\thmlemmaname{Lemma}}%
    \addto\captionsenglish{\renewcommand*\thmtheoremname{Theorem}}%
    \addto\captionsenglish{\renewcommand*\thmcorollaryname{Corollary}}%
    \addto\captionsenglish{\renewcommand*\thmdefinitionname{Definition}}%
    \addto\captionsenglish{\renewcommand*\thmexercisename{Exercise}}%
    \addto\captionsenglish{\renewcommand*\thmnotename{Note}}%
    \addto\captionsenglish{\renewcommand*\thmremarkname{Remark}}%
    \addto\captionsenglish{\renewcommand*\examplename{Example}}%
    \addto\captionsenglish{\renewcommand*\solutionname{Solution}}%
    \addto\captionsenglish{\renewcommand*\figurename{Fig.}}%
  }{}
  \@ifpackagewith{babel}{czech}{%
  	\addto\captionsczech{\renewcommand*\thmlemmaname{Lema}}%
  	\addto\captionsczech{\renewcommand*\thmtheoremname{V?ta}}%
  	\addto\captionsczech{\renewcommand*\thmcorollaryname{D?sledek}}%
  	\addto\captionsczech{\renewcommand\thmdefinitionname{Definice}}%
  	\addto\captionsczech{\renewcommand*\thmexercisename{P?klad}}%
  	\addto\captionsczech{\renewcommand*\thmnotename{Poznmka}}%
  	\addto\captionsczech{\renewcommand*\thmremarkname{Poznmka}}%
  	\addto\captionsczech{\renewcommand*\examplename{P?klad}}%
  	\addto\captionsczech{\renewcommand*\solutionname{?e?en}}%
  	\addto\captionsczech{\renewcommand*\figurename{Obr.}}%
  }{}
}

\DeclareOption*{\PassOptionsToClass{a4paper,12pt,fleqn,twoside,\CurrentOption}{article}}
\ProcessOptions
\LoadClass{article}
\newcommand{\gsjgg@preprinttext}{To appear in G - Slovak Journal for Geometry and Graphics}
\newcommand{\preprinttext}[1]{\renewcommand{\gsjgg@preprinttext}{#1}}
\newcommand{\ifreview}[1]{\ifgsjgg@review #1 \fi}
\newcommand{\ifreviewelse}[2]{\ifgsjgg@review #1 \else #2 \fi}
\RequirePackage[english,slovak,czech]{babel}
\RequirePackage{times}
\RequirePackage{calc}
\RequirePackage{ifpdf}
\RequirePackage{titling}
\ifpdf
  \RequirePackage[pdftex]{graphicx,rotating}
  \graphicspath{{MPS/}{PDF/}{JPG/}{PNG/}}
  \pdfcompresslevel=9
\else
  \RequirePackage[dvips]{graphicx,rotating}
  \graphicspath{{MPS/}{EPS/}}
\fi
\RequirePackage{layout}
\RequirePackage{nopageno}
\RequirePackage[hidelinks]{hyperref}
%\RequirePackage{winfonts}
\RequirePackage[left=3cm,right=2cm,top=2.5cm,bottom=3.3cm,headsep=0.6cm,footskip=1.4cm]{geometry}
\RequirePackage[figurename=Obr.,labelfont=rm,labelsep=period,format=hang,margin=2cm,justification=raggedright,font=small]{caption}
\RequirePackage{fancyhdr}
\RequirePackage{setspace}
\RequirePackage{hyphenat}
\makeatletter
\renewcommand{\@seccntformat}[1]{\csname the#1\endcsname\hspace{0.5em}}
\renewcommand{\section}{\@startsection
{section}%
{1}%
{0mm}%
{-18pt}%
{6pt}%
{\bfseries\large\upshape}}%
\renewcommand{\thesection}{\arabic{section}}
\renewcommand{\subsection}{\@startsection
{subsection}%
{2}%
{0mm}%
{-12pt}%
{6pt}%
{\bfseries\normalsize\upshape}}%
\renewcommand{\thesubsection}{\thesection.\arabic{subsection}}
\normalfont\upshape\parindent=1cm
\renewcommand{\thefigure}{\arabic{figure}}
\def\maketitle{%
  \null
  \thispagestyle{firststyle}%
%  \vfill
  \begin{center}\leavevmode
%    \normalfont
	\vskip-.5cm
    {\begin{spacing}{1}%        
        \usefont{T1}{tahoma}{m}{n}\fontsize{18pt}{1em}\selectfont\@title\par%
      \end{spacing}}%
    \usefont{T1}{tahoma}{m}{n}\fontsize{14pt}{1em}\selectfont\@bsposttitle\par%
    \bigskip
    {\begin{spacing}{1}%        
        \usefont{T1}{tahoma}{m}{n}\fontsize{12pt}{1em}\selectfont\@author\par%
      \end{spacing}}%
    \bigskip
    \bigskip
  \end{center}%
%  \vfill
%  \null
%  \cleardoublepage
}%
\makeatother
\RequirePackage[fleqn]{amsmath}
\RequirePackage{amssymb}
\RequirePackage{amsthm}

\setlength{\mathindent}{2.25cm}
\setlength{\parindent}{0pt}

\let\OLDthebibliography\thebibliography
\renewcommand\thebibliography[1]{
	\OLDthebibliography{#1}
	\setlength{\parskip}{0pt}
	\setlength{\itemsep}{3pt plus 0.3ex}
}

\theoremstyle{definition}
\newtheorem{lemma}{\thmlemmaname}[section]
\newtheorem{theorem}{\thmtheoremname}[section]
\newtheorem{corollary}{\thmcorollaryname}[section]
\newtheorem{exercise}{\thmexercisename}[section]
\newtheorem{definition}{\thmdefinitionname}[section]
\newtheorem{note}{\thmnotename}[section]
\newtheorem{remark}{\thmremarkname}[section]
\newenvironment{example}
{\smallskip\noindent\textbf{\examplename{}:}}
{}
\newenvironment{solution}
{\smallskip\noindent\textbf{\solutionname{}:}}
{}
\newcounter{startpage}
\newcounter{lastpage}
\newcounter{journalvolume}
\newcounter{journalnumber}
\newcounter{journalyear}
\DeclareRobustCommand{\pagerange}[2]{\setcounter{page}{#1}\setcounter{startpage}{#1}\setcounter{lastpage}{#2}}
\DeclareRobustCommand{\setjournalvolumenumberyear}[3]{\setcounter{journalvolume}{#1}\setcounter{journalnumber}{#2}\setcounter{journalyear}{#3}}
\newsavebox{\aboutauthors}%
\parskip6pt 
\AtBeginDocument{%
  \fancyhf{} \fancyfoot[LO]{%
    \begin{tabular}[b]{@{}l@{}}%
      \noalign{\hrule}\\[-10pt]%
      \usefont{T1}{tahoma}{m}{n}\fontsize{11pt}{1em}\selectfont\textbf{G} --
      slovensk\'y %
      \v{c}asopis pre geometriu a grafiku, ro\v{c}n\'\i k %
      \arabic{journalvolume} (\arabic{journalyear}), \v{c}\'\i slo %
      \arabic{journalnumber}, s.~\arabic{startpage} -- \arabic{lastpage}%
    \end{tabular}%
  }%
  \fancyfoot[RO]{\usefont{T1}{tahoma}{m}{n}\fontsize{12pt}{1em}\selectfont\thepage}%
  \fancyfoot[RE]{%
    \begin{tabular}[b]{@{}r@{}}%
      \noalign{\hrule}\\[-10pt]%
      \usefont{T1}{tahoma}{m}{n}\fontsize{11pt}{1em}\selectfont\textbf{G} -- slovensk\'y %
      \v{c}asopis pre geometriu a grafiku, ro\v{c}n\'\i k %
      \arabic{journalvolume} (\arabic{journalyear}), \v{c}\'\i slo %
      \arabic{journalnumber}, s.~\arabic{startpage} -- \arabic{lastpage}%
    \end{tabular}%
  }%
  \fancyfoot[LE]{\usefont{T1}{tahoma}{m}{n}\fontsize{12pt}{1em}\selectfont\thepage}%
  \fancyhead[RO]{%
    \begin{tabular}[t]{@{}r@{}}%
      \usefont{T1}{tahoma}{m}{n}\fontsize{11pt}{1em}\selectfont\thetitle\\[2pt]%
      \noalign{\hrule}%
    \end{tabular}%
  }%
  \fancyhead[LE]{%
    \begin{tabular}[t]{@{}r@{}}%
      \usefont{T1}{tahoma}{m}{n}\fontsize{11pt}{1em}\selectfont\theauthor\\[2pt]%
      \noalign{\hrule}
    \end{tabular}%
  }%
  \renewcommand{\headrulewidth}{0pt} \renewcommand{\footrulewidth}{0pt}
  \fancypagestyle{firststyle} { \fancyhf{} \fancyfoot[LO]{%
      \begin{tabular}[b]{@{}l@{}}%
        \noalign{\hrule}\\[-10pt]%
        \usefont{T1}{tahoma}{m}{n}\fontsize{11pt}{1em}\selectfont\textbf{G} -- %
        slovensk\'y %
        \v{c}asopis pre geometriu a grafiku, ro\v{c}n\'\i k %
        \arabic{journalvolume} (\arabic{journalyear}), \v{c}\'\i slo %
        \arabic{journalnumber}, s.~\arabic{startpage} -- \arabic{lastpage}%
      \end{tabular}%
    }%
    \fancyfoot[RO]{\usefont{T1}{tahoma}{m}{n}\fontsize{12pt}{1em}\selectfont\thepage}%
    \fancyfoot[RE]{%
      \begin{tabular}[b]{@{}r@{}}%
        \noalign{\hrule}\\[-10pt]%
        \usefont{T1}{tahoma}{m}{n}\fontsize{11pt}{1em}\selectfont\textbf{G} -- %
        slovensk\'y %
        \v{c}asopis pre geometriu a grafiku, ro\v{c}n\'\i k %
        \arabic{journalvolume} (\arabic{journalyear}), \v{c}\'\i slo %
        \arabic{journalnumber}, s.~\arabic{startpage} -- \arabic{lastpage}%
      \end{tabular}%
    }%
    \fancyfoot[LE]{\usefont{T1}{tahoma}{m}{n}\fontsize{12pt}{1em}\selectfont\thepage}%
  }%
}%
\AtEndDocument{%
	\vspace{2em}
  \begin{flushright}%
    \usebox{\aboutauthors}%
  \end{flushright}%
}%
\InputIfFileExists{gsjgg.cfg}
        {\typeout{***************************************^^J%
                  * Local config file gsjgg.cfg used *^^J%
                  ***************************************}}
        {}
\endinput

%%
%% End of file `gsjgg.cls'.
